Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLEditorKit.LinkController

    java.lang.Object
      java.awt.event.MouseAdapter
          javax.swing.text.html.HTMLEditorKit.LinkController

All Implemented Interfaces:
  MouseListener, MouseMotionListener, Serializable, EventListener

Enclosing class:
  HTMLEditorKit

    public static class HTMLEditorKit.LinkController

extends MouseAdapter
implements MouseMotionListener, Serializable

Class to watch the associated component and fire hyperlink events on it when appropriate.

Constructor Summary
`HTMLEditorKit.LinkController()`

Method Summary
`protected void` | `activateLink(int pos, JEditorPane editor)` Calls linkActivated on the associated JEditorPane if the given position represents a link.
`void` | `mouseClicked(MouseEvent e)` Called for a mouse click event.
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseMoved(MouseEvent e)` Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLEditorKit.LinkController

    public HTMLEditorKit.LinkController()

Method Detail

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Called for a mouse click event. If the component is read-only (ie a browser) then the clicked event is used to drive an attempt to follow the reference specified by a link.

  Specified by:
    `mouseClicked` in interface `MouseListener`
  Overrides:
    `mouseClicked` in class `MouseAdapter`
  Parameters:
    `e` - the mouse event
  See Also:
    `MouseListener.mouseClicked(java.awt.event.MouseEvent)`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Description copied from interface: `MouseMotionListener`
  Invoked when a mouse button is pressed on a component and then dragged. `MOUSE_DRAGGED` events will continue to be delivered to the component where the drag originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

  Due to platform-dependent Drag&Drop implementations, `MOUSE_DRAGGED` events may not be delivered during a native Drag&Drop operation.

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Description copied from interface: `MouseMotionListener`
  Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### activateLink

    protected void activateLink(int pos,
                                JEditorPane editor)

  Calls linkActivated on the associated JEditorPane if the given position represents a link.

  This is implemented to forward to the method with the same name, but with the following args both == -1.

  Parameters:
    `pos` - the position
    `editor` - the editor pane

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.